org.modeshape.jboss.subsystem

## Class AbstractAddFileSystemIndexStorage

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AbstractAddIndexStorage
    - - org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler
  Direct Known Subclasses:
    AddLocalFileSystemIndexStorage, AddMasterFileSystemIndexStorage, AddSlaveFileSystemIndexStorage

      public abstract class AbstractAddFileSystemIndexStorage
      extends AbstractAddIndexStorage

  Base class for parsing index storage configurations which use FS configurations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `indexSourcePathInDataDirectory`
    `protected String` | `indexStoragePathInDataDirectory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAddFileSystemIndexStorage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addControllersAndDependencies(String repositoryName, IndexStorageService service, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceBuilder<IndexStorage> builder, org.jboss.msc.service.ServiceTarget target)`
    `protected void` | `processLocalIndexStorageLocation(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode modelNode, String repositoryName, EditableDocument indexStorage)`
    `protected void` | `processSourceIndexStorageLocation(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode modelNode, String repositoryName, EditableDocument indexStorage)`
    `protected void` | `setIndexSourcePathInDataDirectory(String relativePath)`
    `protected void` | `setIndexStoragePathInDataDirectory(String relativePath)`

    - ### Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage

      `performRuntime, requiresRuntime, writeIndexingBackendConfiguration, writeIndexStorageConfiguration, writeIndexStorageSpecificIndexingConfiguration`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, populateModel, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexStoragePathInDataDirectory

          protected String indexStoragePathInDataDirectory

    - #### indexSourcePathInDataDirectory

          protected String indexSourcePathInDataDirectory

  - ### Constructor Detail

    - #### AbstractAddFileSystemIndexStorage

          protected AbstractAddFileSystemIndexStorage()

  - ### Method Detail

    - #### setIndexStoragePathInDataDirectory

          protected void setIndexStoragePathInDataDirectory(String relativePath)

    - #### setIndexSourcePathInDataDirectory

          protected void setIndexSourcePathInDataDirectory(String relativePath)

    - #### addControllersAndDependencies

          protected void addControllersAndDependencies(String repositoryName,
                                           IndexStorageService service,
                                           List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                           org.jboss.msc.service.ServiceBuilder<IndexStorage> builder,
                                           org.jboss.msc.service.ServiceTarget target)

      Overrides:
        `addControllersAndDependencies` in class `AbstractAddIndexStorage`

    - #### processLocalIndexStorageLocation

          protected void processLocalIndexStorageLocation(org.jboss.as.controller.OperationContext context,
                                              org.jboss.dmr.ModelNode modelNode,
                                              String repositoryName,
                                              EditableDocument indexStorage)
                                                   throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### processSourceIndexStorageLocation

          protected void processSourceIndexStorageLocation(org.jboss.as.controller.OperationContext context,
                                               org.jboss.dmr.ModelNode modelNode,
                                               String repositoryName,
                                               EditableDocument indexStorage)
                                                    throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.